text_back = """Что будет, если вы не узнаете о том, что мы предлагаем?
1.	Расходы на рекламу будут регулярно расти, а продажи будут падать.
2.	Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
3.	В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие. 
Вы этого хотите?
А может быть вспомните о нашем предложении и решите продолжить, чтобы узнать, как больше продавать при меньших расходах на рекламу или совсем без нее? Жмите на кнопку ниже.
"""

QUESTIONS_STEPS = {

    'start': {
        'text': """Привет!
Я деловой бот, моя задача рассказать о том, как вы сможете увеличить продажи и заказы. Вы получите несколько бесплатных материалов, и кое-что еще.
Чтобы продолжить и узнать все это прямо сейчас, ниже нажмите на кнопку НАЧАТЬ.
""",
        'keyboard': create_keyboard(['НАЧАТЬ'], questions=False),
        'answers': {
            'НАЧАТЬ': 'step2'
        },
        'attachments': 'photo194701989_457248815_02bb0c2f1efdd9b6bc,photo194701989_457248815_02bb0c2f1efdd9b6bc,photo194701989_457248815_02bb0c2f1efdd9b6bc',
        
    },

    'step2': {
        'text': """Вы тратите много денег на рекламу?
             выберите ответ
""",
        'keyboard': create_keyboard(['Да', 'Нет']),
        'answers': {
            'Да': 'step3',
            'Нет': 'step2b'
        },
        'attachments': 'photo194701989_457248815_02bb0c2f1efdd9b6bc,photo194701989_457248815_02bb0c2f1efdd9b6bc',
        

    },

    'step2b': {
        'text': text_back,
        'keyboard': create_keyboard(['ПРОДОЛЖИТЬ и УЗНАТЬ', ['ВЫЙТИ, НЕ ИНТЕРЕСНО', 'negative']]),
        'answers': {
            'ПРОДОЛЖИТЬ и УЗНАТЬ': 'step2',
            'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step10'
        },
        'attachments': 'photo194701989_457248815_02bb0c2f1efdd9b6bc',
        
    },

    'step3': {
        'text': """У вас мало заказов и продаж?
             выберите ответ
""",
        'keyboard': create_keyboard(['Да', 'Нет']),
        'answers': {
            'Да': 'step4',
            'Нет': 'step3b'
        },
        'attachments': None,
        
    },

    'step3b': {
        'text': text_back,
        'keyboard': create_keyboard(['ПРОДОЛЖИТЬ и УЗНАТЬ', ['ВЫЙТИ, НЕ ИНТЕРЕСНО', 'negative']]),
        'answers': {
            'ПРОДОЛЖИТЬ и УЗНАТЬ': 'step3',
            'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step10'
        },
        'attachments': None,
        
    },

    'step4': {
        'text': """Вижу, что Вы хотите увеличить кол-во заказов и продаж и привлекать покупателей и заказчиков с минимальными затратами на рекламу или совсем без них?
             выберите ответ
""",
        'keyboard': create_keyboard(['Да', 'Нет']),
        'answers': {
            'Да': 'step5',
            'Нет': 'step4b'
        },
        'attachments': None,
        
    },

    'step4b': {
        'text': text_back,
        'keyboard': create_keyboard(['ПРОДОЛЖИТЬ и УЗНАТЬ', ['ВЫЙТИ, НЕ ИНТЕРЕСНО', 'negative']]),
        'answers': {
            'ПРОДОЛЖИТЬ и УЗНАТЬ': 'step4',
            'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step10'
        },
        'attachments': None,
        
    },

    'step5': {
        'text': """Спасибо за ответ и за то, что перешли к следующему шагу!
Предлагаем инструкцию «Как увеличить продажи»
Вот, что вы узнаете в ней:
Информация, которую получите, совершит революцию в вашем отделе продаж, значительно сократив расходы на рекламу и серьезно увеличив продажи.
В инструкции: «Как увеличить продажи», мы рассказали, как построить схему продаж любых товаров или услуг, которая будет работать почти без вашего участия и с самыми минимальными затратами на рекламу.
Если все сделаете правильно, то этот способ, будет работать исправно и бесперебойно.
От вас, потребуется только настроить схему привлечения целевой аудитории на страницы своего интернет магазина, на сайт услуг, на один или несколько лендингов или на статейный сайт.
А вот что сможете:
🤖 Привлекать ЦА бесплатно или почти без затрат на рекламу.
📈 Снизите затраты на рекламу и сэкономите время и деньги
💰 Значительно увеличите конверсию, превращения посетителей в покупателей.
💥 Расходы на рекламу будут падать, а продажи расти
💬 Превращать посетителей в покупателей 24 часа в сутки и 7 дней в неделю

Если готовы, нажмите на кнопку ниже и узнайте, как все это получить прямо сейчас.
""",
        'keyboard': create_keyboard(['КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ']),
        'answers': {
            'КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ': 'step6',
        },
        'attachments': 'photo-192403571_457239228'
    },

    'step6': {
        'text': """Инструкции: «Как увеличить продажи», стоит 2497 руб. 
Как получить инструкцию:
1.	Нажмите на кнопку: КУПИТЬ ИНСТРУКЦИЮ.
2.	Оплатите.
3.	Сразу после оплаты, перед вами откроется блок с текстом и ссылкой, нажав на которую вы перейдете на страницу где скачаете архив с инструкцией.
А через несколько дней, продаж и заказов будет больше, чем сейчас!
А если хотите более выгодное предложение,
нажмите на кнопку ХОЧУ БОЛЬШЕ
""",
        'keyboard': create_keyboard(['КУПИТЬ ИНСТРУКЦИЮ', 'ХОЧУ БОЛЬШЕ']),
        'answers': {
            'КУПИТЬ ИНСТРУКЦИЮ': 'step_chose_a',
            'ХОЧУ БОЛЬШЕ': 'step7',
        },
        'attachments': None,
        
    },

    'step_chose_a': {
        'text': """Выберите платежную систему
    """,
        'keyboard': create_keyboard(['QIWI' if QIWI_SECRET_KEY else None, 'ЮКасса' if YOOMONEY_TOKEN else None, ['Назад', 'negative']], questions=False),
        'answers': {
            'QIWI': 'step8a_qiwi',
            'ЮКасса': 'step8a_yoomoney',
            'Назад': 'step_back'
        },
        'attachments': None,
        
    },

    'step7': {
        'text': """Вы правильно сделали, что выбрали это выгодное предложение!
Предлагаем по Акции 4 инструкции по 1 цене:
1.	«Как увеличить продажи» — цена: 2597 руб. 
2.	«10 способов как снизить кол-во невыкупленных заказов на Почте России» — цена: 1795 руб. 
3.	«Как много продавать и не тратить деньги на рекламу» — цена: 1795 руб. 
4.	«Способ увеличить продажи, который работает безотказно» — цена: 1795 руб.
В списке выше, названия инструкций и стоимость каждой, если покупать их по отдельности. Но сейчас, вы получите их все по единой цене, сразу после оплаты.
Сразу после покупки наших инструкций, вы начнете привлекать покупателей почти в промышленных масштабах.
Единая цена за 4 инструкции - 2497 руб.
Чтобы купить и получить 4 инструкции, нажмите на кнопку ниже.
Акция может закончиться в любой момент!
""",
        'keyboard': create_keyboard(['КУПИТЬ 4 ИНСТРУКЦИИ', 'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ']),
        'answers': {
            'КУПИТЬ 4 ИНСТРУКЦИИ': 'step_chose',
            'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step9',
        },
        'attachments': None,
        
    },

    'step_chose': {
        'text': """Выберите платежную систему
""",
        'keyboard': create_keyboard(['QIWI' if QIWI_SECRET_KEY else None, 'ЮКасса' if YOOMONEY_TOKEN else None, ['Назад', 'negative']], questions=False),
        'answers': {
            'QIWI': 'step8_qiwi',
            'ЮКасса': 'step8_yoomoney',
            'Назад': 'step_back'
        },
        'attachments': None,
        
    },

    'step9': {
        'text': """Что будет если вы не купите наши инструкции?
1.	Расходы на рекламу будут регулярно расти, а продажи будут падать.
2.	Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
3.	В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие. 
4.	И тогда вы вспомните о нашем предложении и может быть не нужно больше терять свое время и деньги.
Что будет если вы купите наши инструкции?
•	Вы сократите свой рекламный бюджет, но продаж - будет больше.
•	Вы кратно увеличите кол-во продаж и станете больше продавать при меньших расходах.
•	Начнете привлекать покупателей другими способами, в том числе и без расходов на рекламу.
Предлагаем нажать на кнопку ниже, чтобы вернуться к предыдущему шагу, купить 4 инструкции по единой цене и продавать и зарабатывать, а не просто тратить деньги на рекламу.
""",
        'keyboard': create_keyboard(['ВЕРНУТЬСЯ и КУПИТЬ', ['ОТКАЗАТЬСЯ и ПОДПИСАТЬСЯ', 'negative']]),
        'answers': {
            'ВЕРНУТЬСЯ и КУПИТЬ': 'step7',
            'ОТКАЗАТЬСЯ и ПОДПИСАТЬСЯ': 'step10',
        },
        'attachments': None,
        
    },

    'step10': {
        'text': """Отказаться от покупки, это ваше право. В завершении, предлагаем подписаться на получение новых интересных материалов, часть из которых, вас обязательно заинтересует. Тем более, там будут и Подарки. 
Частыми рассылками беспокоить не будем.
Писать будем редко, но интересно.
Желаем Удачи!
А если прямо сейчас захотите продолжить, нажмите на кнопку ниже.
""",
        'keyboard': create_keyboard(['ПРОДОЛЖИТЬ'], questions=False),
        'answers': {
            'ПРОДОЛЖИТЬ': 'step_back'
        },
        'attachments': None,
        
    },

    'step_contacts': {
        'text': """Контакты""",
        'keyboard': create_keyboard(['ПРОДОЛЖИТЬ', 'ВЫЙТИ НЕ ИНТЕРЕСНО'], questions=False),
        'answers': {
            'ПРОДОЛЖИТЬ': 'step_back',
            'ВЫЙТИ НЕ ИНТЕРЕСНО': 'step10'
        },
        'attachments': None,
        
    },

    'step_questions': {
        'text': """Вопросы""",
        'keyboard': create_keyboard(['ПРОДОЛЖИТЬ', 'ВЫЙТИ НЕ ИНТЕРЕСНО'], questions=False),
        'answers': {
            'ПРОДОЛЖИТЬ': 'step_back',
            'ВЫЙТИ НЕ ИНТЕРЕСНО': 'step10'
        },
        'attachments': None,
        
    },

    'step8': {
        'text': """Спасибо что купили наши инструкции!
Ниже, вы можете скачать архив с товаром, который только что оплатили.
Ознакомьтесь с ними и удачных вам продаж за меньшие деньги.
""",
        'keyboard': create_keyboard([('Скачать', 'https://dropmefiles.com')]),
        'answers': {},
        'attachments': 'photo-192403571_457239228',
        
    },

    'step8a': {
        'text': """Спасибо что купили наши инструкции!
Ниже, вы можете скачать архив с товаром, который только что оплатили.
Ознакомьтесь с ними и удачных вам продаж за меньшие деньги.
""",
        'keyboard': create_keyboard([('Скачать', 'https://dropmefiles.com')]),
        'answers': {},
        'attachments': 'photo-192403571_457239228',
        
    },

    'step_contacts_after_buy': {
        'text': """Контакты""",
        'keyboard': None,
        'answers': {},
        'attachments': None,
        
    },

    'step_questions_after_buy': {
        'text': """Вопросы""",
        'keyboard': None,
        'answers': {},
        'attachments': None,
        
    },
}