from src.functions import create_keyboard_payment
from src.settings import text_contacts, text_questions
from src.vk_functions import create_keyboard, create_button

CATEGORY = {
    'use_this_category': True,
    'name_of_category': 'Чат боты для VK и Tg',
    'text_of_category': """Чат боты для VK и Tg
Товары:        
""",
    'attachments_of_category': '',
    'category_items': [
        {
            'use_this_item': True,
            'name_of_item': 'Чат бот Вконтакте',
            'price_of_item': 2,
            'item_steps': {
                'step0': {
                   'text': """Чат бот Вконтакте, будет в автоматическом режиме продавать один или несколько ваших файлов.
УЗНАТЬ БОЛЬШЕ ↘
""",
                    'keyboard': create_keyboard([create_button('Узнать больше', color='positive')]),
                    'answers': {
                        'Узнать больше': 'step1',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',
                },
                'step1': {
                    'text': """Хотите не просто общаться Вконтакте, а зарабатывать?
                    
⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step2',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',

                },
                'step2': {
                    'text': """Хотите без всякого опыта и специальных знаний, получать доход в VK почти в автоматическом режиме?                
          
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step3',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step3': {
                    'text': """Хотите получить готовый бизнес Вконтакте и зарабатывать, а не просто общаться?
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step4',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step4': {
                    'text': """ЧТО ЧАТ БОТ БУДЕТ ПРОДАВАТЬ
                    
С помощь чат бота, вы станете продавать все, что можно скачать, а именно:
                    
💡 Всевозможные видео и текстовые инструкции.
💡 Любые другие видео, в том числе и с приватным содержанием.
💡 Музыку, изображения, скрипты, плагины и различные программы.
💡 Фильмы и файлы с текстами.
💡 Ссылки на интересные сайты.
💡 Различные базы данных, обучающие курсы и кейсы

Вебинары и любую другую интересную информацию, которую можете легко найти в интернете или создать самим и продавать.
                    
Нажмите на кнопку ниже и узнайте еще больше о чат боте и как получить чат бот прямо сейчас.
""",
                    'keyboard': create_keyboard([create_button('👉 КАК ПОЛУЧИТЬ ЧАТ БОТ VK', color='positive')],
                                                add_button_download_free=False
                                                ),
                    'answers': {
                        '👉 КАК ПОЛУЧИТЬ ЧАТ БОТ VK': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step5': {
                    'text': """Что представляет из себя чат бот для бизнеса и каким образом он будет продавать ваши файлы
                    
Чат бот для продажи файлов — это автоворонка продаж, которая представляет из себя готовый сценарий, состоящий из 11 блоков с продающими текстами и кнопками ответов в каждом блоке.

✅ В каждом блоке диалога чат бота, пользователи видят продающий текст, каждый из которых, по шагам рекламирует, то что вы продаете.

✅ Под продающими текстами в каждом блоке, расположены кнопок ответов, при нажатии на которые, перед посетителями будут открываться новые блоки с текстами, которые плавно ведут каждого посетителя к конечной цели — то есть, к продаже товара.

✅ На заключительном шаге, чат бот предлагает купить и получить товар, который каждый покупатель, получит сразу после оплаты.

И весь этот процесс, то есть оплата и получение товара (файлов), будет происходить без вашего участия.

Дополнительно, есть кнопки навигации, при нажатии на каждую из которых посетители смогут позвонить или написать вам и узнать ответы на вопросы.

КАК КУПИТЬ ЧАТ БОТА

Купить его вы можете вот здесь https://vs-bumerang.ru/chat-bot-dlya-biznesa/

""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step7',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step_chose': {
                    'text': """Выберите платежную систему
                    """,
                    'keyboard': create_keyboard_payment(),
                    'answers': {
                        'QIWI': 'step_buy_qiwi',
                        'ЮКасса': 'step_buy_yoomoney',
                        'Назад': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachment': None,
                },
                'step6': {
                    'text': """Спасибо что купили нашу инструкцию!        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘
➡ Перейти: https://info-knigi.ru
Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.
Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по url ссылке выше.
""",
                    'keyboard': create_keyboard([create_button('Скачать', link='https://vk.com')],
                                                add_button_download_free=False),
                    'answers': {},
                    'attachments': None,

                },
                'step7': {
                    'text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ ЧАТ БОТ?

✅ Так и будете только общаться Вконтакте.
✅ Когда узнаете что другие успешно зарабатывают с чат ботом, будете жалеть, что отказались от нашего предложения.

ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ ЧАТ БОТА ВКОНТАКТЕ?

✅ Станете не только общаться Вконтакте, но и зарабатывать.
✅ Это дополнительный и прибыльный бизнес.
✅ Минимальный стартовый капитал.
✅ Быстрый возврат стоимости чат бота.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ВЕРНУТЬСЯ и КУПИТЬ', color='positive'),
                         create_button('ОТКАЗАТЬСЯ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step_back',
                        'ОТКАЗАТЬСЯ': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',

                    },
                    'attachments': None,
                },
                'step8': {
                    'text': """В завершении, предлагаем эту https://vs-bumerang.ru/category/nashi-uslugi/ рубрику нашего сайта.

Там вы узнаете много интересного.

Желаем Удачи!

А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step9': {
                    'text': f"""{text_contacts}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step10': {
                    'text': f"""{text_questions}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step11': {
                    'text': """ЧТО БУДЕТ ЕСЛИ КУПИТЕ ЧАТ БОТ?

✅ Если все сделаете правильно, то в течении нескольких дней, вы заработаете больше чем потратили на покупку чат бота
✅ Начнете зарабатывать в интернете, постоянно расширяя бизнес, добавляя к продаже новые товары

ЧТО БУДЕТ ЕСЛИ ВЫ КУПИТЕ ЧАТ БОТ?

✅ Так и будете искать где можно заработать в интернете и терять деньги пробуя случайные и сомнительные способы заработка
✅ Будете и дальше использовать соц сети только для общения, которое совершенно не приносит деньги

⏩ Жмите на кнопку ниже м узнайте ↘
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ПРОДОЛЖИТЬ и УЗНАТЬ', color='positive'),
                         create_button('ВЫЙТИ, НЕ ИНТЕРЕСНО', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step_back',
                        'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
            }
        },
        {
            'use_this_item': True,
            'name_of_item': 'Чат бот VK - онлайн магазин',
            'price_of_item': 2,
            'item_steps': {
                'step0': {
                    'text': """Чат бот для установки Вконтакте и продажи большого кол-ва файлов, рекламы партнерских ссылок и услуг.
                    
Чтобы узнать про все преимущества чат бота, нажмите на кнопку УЗНАТЬ БОЛЬШЕ ↘
""",
                    'keyboard': create_keyboard([create_button('Узнать больше', color='positive')]),
                    'answers': {
                        'Узнать больше': 'step1',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',
                },
                'step1': {
                    'text': """Хотите начать прибыльный бизнес в интернете?
⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step2',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',

                },
                'step2': {
                    'text': """Хотите начать успешно зарабатывать Вконтакте?
          ⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step3',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step3': {
                    'text': """Хотите быстро запустить прибыльный бизнес в интернете, а не просто общаться в VK?
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step4',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step4': {
                    'text': """💰 Чат бот, представляет из себя интернет магазин товаров и услуг с каталогом из 10 категорий и до 10 товаров в каждой категории.

✅ Чат бот умеет в автоматическом режиме продавать ваши файлы, рекламировать партнерские ссылки и услуги.

✅ Он умеет в автоматическом режиме продавать ваши файлы, рекламировать партнерские ссылки и услуги.

✅ Превращать посетителей в покупателей 24 часа в сутки и 7 дней в неделю.  

Если готовы, нажмите на кнопку ниже и узнайте, как все это получить прямо сейчас.
""",
                    'keyboard': create_keyboard([create_button('👉 КАК ПОЛУЧИТЬ ЧАТ БОТА', color='positive')],
                                                add_button_download_free=False
                                                ),
                    'answers': {
                        '👉 КАК ПОЛУЧИТЬ ЧАТ БОТА': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step5': {
                    'text': """Этот чат бот, создан для продажи большого кол-ва файлов, арбитража трафика и поиска заказчиков на услуги.
                    
                    Состоит из 10 категорий и до 10 товаров в каждой категории.
                    
                    Каждый товар или услуга, представляют из себя автоворонку продаж, каждая из которых состоит из готового сценария, состоящего из 11 блоков с продающими текстами и кнопками ответов в каждом блоке.
                    
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step7',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step_chose': {
                    'text': """Выберите платежную систему
                    """,
                    'keyboard': create_keyboard_payment(),
                    'answers': {
                        'QIWI': 'step_buy_qiwi',
                        'ЮКасса': 'step_buy_yoomoney',
                        'Назад': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachment': None,
                },
                'step6': {
                    'text': """Спасибо что купили нашу инструкцию!        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘
➡ Перейти: https://info-knigi.ru
Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.
Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по url ссылке выше.
""",
                    'keyboard': create_keyboard([create_button('Скачать', link='https://vk.com')],
                                                add_button_download_free=False),
                    'answers': {},
                    'attachments': None,

                },
                'step7': {
                    'text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ ЧАТ БОТ?

✅ Так и будете только общаться Вконтакте.
✅ Когда узнаете что другие успешно зарабатывают с чат ботом, будете жалеть, что отказались от нашего предложения.

ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ ЧАТ БОТА ВКОНТАКТЕ?

✅ Станете не только общаться Вконтакте, но и зарабатывать.
✅ Это дополнительный и прибыльный бизнес.
✅ Минимальный стартовый капитал.
✅ Быстрый возврат стоимости чат бота.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ВЕРНУТЬСЯ и КУПИТЬ', color='positive'),
                         create_button('ОТКАЗАТЬСЯ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step_back',
                        'ОТКАЗАТЬСЯ': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',

                    },
                    'attachments': None,
                },
                'step8': {
                    'text': """В завершении, предлагаем эту https://vs-bumerang.ru/category/nashi-uslugi/ рубрику нашего сайта.

Там вы узнаете много интересного.

Желаем Удачи!

А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step9': {
                    'text': f"""{text_contacts}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step10': {
                    'text': f"""{text_questions}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step11': {
                    'text': """ЧТО БУДЕТ ЕСЛИ КУПИТЕ ЧАТ БОТ?

✅ Если все сделаете правильно, то в течении нескольких дней, вы заработаете больше чем потратили на покупку чат бота
✅ Начнете зарабатывать в интернете, постоянно расширяя бизнес, добавляя к продаже новые товары

ЧТО БУДЕТ ЕСЛИ ВЫ КУПИТЕ ЧАТ БОТ?

✅ Так и будете искать где можно заработать в интернете и терять деньги пробуя случайные и сомнительные способы заработка
✅ Будете и дальше использовать соц сети только для общения, которое совершенно не приносит деньги

⏩ Жмите на кнопку ниже м узнайте ↘
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ПРОДОЛЖИТЬ и УЗНАТЬ', color='positive'),
                         create_button('ВЫЙТИ, НЕ ИНТЕРЕСНО', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step_back',
                        'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
            }
        },
        {
            'use_this_item': True,
            'name_of_item': 'Чат бот в Телеграмм',
            'price_of_item': 2,
            'item_steps': {
                'step0': {
                    'text': """Чат бот для продажи файлов, который после установки в вашу группу Телеграмм, будет в автоматическом режиме продавать ваши файлы.
                    
Чтобы узнать про все преимущества чат бота в Телеграмм, нажмите на кнопку НАЧАТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('Узнать больше', color='positive')]),
                    'answers': {
                        'Узнать больше': 'step1',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',
                },
                'step1': {
                    'text': """Хотите быстро запустить бизнес в Телеграмм канале?
⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step2',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',

                },
                'step2': {
                    'text': """Хотите регулярно зарабатывать в Телеграмм?
          ⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step3',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step3': {
                    'text': """Хотите получить готовый бизнес в Телеграмм и зарабатывать, а не просто общаться?
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step4',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step4': {
                    'text': """ЧТО ЧАТ БОТ БУДЕТ ПРОДАВАТЬ
                    
С помощь чат бота, вы станете продавать все, что можно скачать, а именно:
                    
💡 Всевозможные видео и текстовые инструкции.
💡 Любые другие видео, в том числе и с приватным содержанием.
💡 Музыку, изображения, скрипты, плагины и различные программы.
💡 Фильмы и файлы с текстами.
💡 Ссылки на интересные сайты.
💡 Различные базы данных, обучающие курсы и кейсы
Вебинары и любую другую интересную информацию, которую можете легко найти в интернете или создать самим и продавать.
                    
Нажмите на кнопку ниже и узнайте еще больше о чат боте и как получить чат бот прямо сейчас.
""",
                    'keyboard': create_keyboard([create_button('👉 КАК ПОЛУЧИТЬ ЧАТ БОТ', color='positive')],
                                                add_button_download_free=False
                                                ),
                    'answers': {
                        '👉 КАК ПОЛУЧИТЬ ЧАТ БОТ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step5': {
                    'text': """Что представляет из себя чат бот для бизнеса и каким образом он будет продавать ваши файлы
                    
Чат бот для продажи файлов — это автоворонка продаж, которая представляет из себя готовый сценарий, состоящий из 11 блоков с продающими текстами и кнопками ответов в каждом блоке.
✅ В каждом блоке диалога чат бота, пользователи видят продающий текст, каждый из которых, по шагам рекламирует, то что вы продаете.
✅ Под продающими текстами в каждом блоке, расположены кнопок ответов, при нажатии на которые, перед посетителями будут открываться новые блоки с текстами, которые плавно ведут каждого посетителя к конечной цели — то есть, к продаже товара.
✅ На заключительном шаге, чат бот предлагает купить и получить товар, который каждый покупатель, получит сразу после оплаты.

И весь этот процесс, то есть оплата и получение товара (файлов), будет происходить без вашего участия.

Дополнительно, есть кнопки навигации, при нажатии на каждую из которых посетители смогут позвонить или написать вам и узнать ответы на вопросы.

КАК КУПИТЬ ЧАТ БОТА
Купить его вы можете вот здесь https://vs-bumerang.ru/chat-bot-dlya-biznesa/
""",
                    'keyboard': create_keyboard(
                        [create_button('ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step7',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step_chose': {
                    'text': """Выберите платежную систему
                    """,
                    'keyboard': create_keyboard_payment(),
                    'answers': {
                        'QIWI': 'step_buy_qiwi',
                        'ЮКасса': 'step_buy_yoomoney',
                        'Назад': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachment': None,
                },
                'step6': {
                    'text': """Спасибо что купили нашу инструкцию!        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘
➡ Перейти: https://info-knigi.ru
Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.
Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по url ссылке выше.
""",
                    'keyboard': create_keyboard([create_button('Скачать', link='https://vk.com')],
                                                add_button_download_free=False),
                    'answers': {},
                    'attachments': None,

                },
                'step7': {
                    'text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ ЧАТ БОТ?

✅ Так и будете только общаться Вконтакте.
✅ Когда узнаете что другие успешно зарабатывают с чат ботом, будете жалеть, что отказались от нашего предложения.

ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ ЧАТ БОТА ВКОНТАКТЕ?

✅ Станете не только общаться Вконтакте, но и зарабатывать.
✅ Это дополнительный и прибыльный бизнес.
✅ Минимальный стартовый капитал.
✅ Быстрый возврат стоимости чат бота.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ВЕРНУТЬСЯ и КУПИТЬ', color='positive'),
                         create_button('ОТКАЗАТЬСЯ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step_back',
                        'ОТКАЗАТЬСЯ': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',

                    },
                    'attachments': None,
                },
                'step8': {
                    'text': """В завершении, предлагаем эту https://vs-bumerang.ru/category/nashi-uslugi/ рубрику нашего сайта.

Там вы узнаете много интересного.

Желаем Удачи!

А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step9': {
                    'text': f"""{text_contacts}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step10': {
                    'text': f"""{text_questions}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step11': {
                    'text': """ЧТО БУДЕТ ЕСЛИ КУПИТЕ ЧАТ БОТ?

✅ Если все сделаете правильно, то в течении нескольких дней, вы заработаете больше чем потратили на покупку чат бота
✅ Начнете зарабатывать в интернете, постоянно расширяя бизнес, добавляя к продаже новые товары

ЧТО БУДЕТ ЕСЛИ ВЫ КУПИТЕ ЧАТ БОТ?

✅ Так и будете искать где можно заработать в интернете и терять деньги пробуя случайные и сомнительные способы заработка
✅ Будете и дальше использовать соц сети только для общения, которое совершенно не приносит деньги

⏩ Жмите на кнопку ниже м узнайте ↘
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ПРОДОЛЖИТЬ и УЗНАТЬ', color='positive'),
                         create_button('ВЫЙТИ, НЕ ИНТЕРЕСНО', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step_back',
                        'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
            }
        },
        {
            'use_this_item': True,
            'name_of_item': 'Товар 4',
            'price_of_item': 2,
            'item_steps': {
                'step0': {
                    'text': """Здесь нужно написать краткое описание товара или услуги.
Чтобы узнать про все преимущества товара или услуги, нажмите на кнопку НАЧАТЬ ↘
... а дальше, просто нажимайте на кнопки ответов
""",
                    'keyboard': create_keyboard([create_button('Узнать больше', color='positive')]),
                    'answers': {
                        'Узнать больше': 'step1',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',
                },
                'step1': {
                    'text': """Вы тратите много денег на рекламу?
⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step2',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',

                },
                'step2': {
                    'text': """У вас мало заказов и продаж?
          ⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step3',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step3': {
                    'text': """Вы хотите увеличить кол-во заказов и продаж и привлекать покупателей и заказчиков с минимальными затратами на рекламу или совсем без них?
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step4',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step4': {
                    'text': """💰 Предлагаем инструкцию «Как увеличить продажи»
ВОТ, ЧТО ВЫ УЗНАЕТЕ В НЕЙ:
💡 Информация, которую получите, совершит революцию в вашем отделе продаж, значительно сократив расходы на рекламу и серьезно увеличив продажи.
💡 В инструкции: «Как увеличить продажи», мы рассказали, как построить схему продаж любых товаров или услуг, которая будет работать почти без вашего участия и с самыми минимальными затратами на рекламу.
💡 Если все сделаете правильно, то этот способ, будет работать исправно и бесперебойно.
От вас, потребуется только настроить схему привлечения целевой аудитории на страницы своего интернет магазина, на сайт услуг, на один или несколько лендингов или на статейный сайт.
А ВОТ, ЧТО СМОЖЕТЕ:
✅ Привлекать ЦА бесплатно или почти без затрат на рекламу.
✅ Снизите затраты на рекламу и сэкономите время и деньги.
✅ Значительно увеличите конверсию, превращения посетителей в покупателей.
✅ Расходы на рекламу будут падать, а продажи расти.
✅ Превращать посетителей в покупателей 24 часа в сутки и 7 дней в неделю.  

Если готовы, нажмите на кнопку ниже и узнайте, как все это получить прямо сейчас.
""",
                    'keyboard': create_keyboard([create_button('👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ', color='positive')],
                                                add_button_download_free=False
                                                ),
                    'answers': {
                        '👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step5': {
                    'text': """💰 Инструкция: «Как увеличить продажи», стоит 2497 руб. 
Как получить инструкцию:
✅ Нажмите на кнопку: КУПИТЬ ИНСТРУКЦИЮ.
✅ Оплатите.
✅ Сразу после оплаты, перед вами откроется новый шаг диалога, в котором, будет ссылка на страницу нашего сайта на которой вы скачаете архив с инструкцией.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 КУПИТЬ ИНСТРУКЦИЮ', color='positive'),
                         create_button('ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 КУПИТЬ ИНСТРУКЦИЮ': 'step_chose',
                        'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step7',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step_chose': {
                    'text': """Выберите платежную систему
                    """,
                    'keyboard': create_keyboard_payment(),
                    'answers': {
                        'QIWI': 'step_buy_qiwi',
                        'ЮКасса': 'step_buy_yoomoney',
                        'Назад': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachment': None,
                },
                'step6': {
                    'text': """Спасибо что купили нашу инструкцию!        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘
➡ Перейти: https://info-knigi.ru
Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.
Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по url ссылке выше.
""",
                    'keyboard': create_keyboard([create_button('Скачать', link='https://vk.com')],
                                                add_button_download_free=False),
                    'answers': {},
                    'attachments': None,

                },
                'step7': {
                    'text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
✅ И тогда вы вспомните о нашем предложении и может быть не нужно больше терять свое время и деньги.
ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Вы сократите свой рекламный бюджет, но продаж - будет больше.
✅ Вы кратно увеличите кол-во продаж и станете больше продавать при меньших расходах.
✅ Начнете привлекать покупателей другими способами, в том числе и без расходов на рекламу.
Предлагаем нажать на кнопку ниже, чтобы вернуться к предыдущему шагу, купить то, что мы предлагаем и продавать, и зарабатывать, а не просто тратить деньги на рекламу.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ВЕРНУТЬСЯ и КУПИТЬ', color='positive'),
                         create_button('ОТКАЗАТЬСЯ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step_back',
                        'ОТКАЗАТЬСЯ': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',

                    },
                    'attachments': None,
                },
                'step8': {
                    'text': """В завершении, предлагаем посетить наш сайт https://info-knigi.ru
На его страницах, вы узнаете много интересного.
Желаем Удачи!
А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step9': {
                    'text': f"""{text_contacts}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step10': {
                    'text': f"""{text_questions}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step11': {
                    'text': """✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
👉 Вы этого хотите?
А может быть вспомните о нашем предложении и решите продолжить, чтобы узнать, как больше продавать при меньших расходах на рекламу или совсем без нее?
⏩ Жмите на кнопку ниже м узнайте ↘
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ПРОДОЛЖИТЬ и УЗНАТЬ', color='positive'),
                         create_button('ВЫЙТИ, НЕ ИНТЕРЕСНО', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step_back',
                        'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
            }
        },
        {
            'use_this_item': True,
            'name_of_item': 'Товар 5',
            'price_of_item': 2,
            'item_steps': {
                'step0': {
                    'text': """Здесь нужно написать краткое описание товара или услуги.
Чтобы узнать про все преимущества товара или услуги, нажмите на кнопку НАЧАТЬ ↘
... а дальше, просто нажимайте на кнопки ответов
""",
                    'keyboard': create_keyboard([create_button('Узнать больше', color='positive')]),
                    'answers': {
                        'Узнать больше': 'step1',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',
                },
                'step1': {
                    'text': """Вы тратите много денег на рекламу?
⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step2',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',

                },
                'step2': {
                    'text': """У вас мало заказов и продаж?
          ⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step3',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step3': {
                    'text': """Вы хотите увеличить кол-во заказов и продаж и привлекать покупателей и заказчиков с минимальными затратами на рекламу или совсем без них?
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step4',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step4': {
                    'text': """💰 Предлагаем инструкцию «Как увеличить продажи»
ВОТ, ЧТО ВЫ УЗНАЕТЕ В НЕЙ:
💡 Информация, которую получите, совершит революцию в вашем отделе продаж, значительно сократив расходы на рекламу и серьезно увеличив продажи.
💡 В инструкции: «Как увеличить продажи», мы рассказали, как построить схему продаж любых товаров или услуг, которая будет работать почти без вашего участия и с самыми минимальными затратами на рекламу.
💡 Если все сделаете правильно, то этот способ, будет работать исправно и бесперебойно.
От вас, потребуется только настроить схему привлечения целевой аудитории на страницы своего интернет магазина, на сайт услуг, на один или несколько лендингов или на статейный сайт.
А ВОТ, ЧТО СМОЖЕТЕ:
✅ Привлекать ЦА бесплатно или почти без затрат на рекламу.
✅ Снизите затраты на рекламу и сэкономите время и деньги.
✅ Значительно увеличите конверсию, превращения посетителей в покупателей.
✅ Расходы на рекламу будут падать, а продажи расти.
✅ Превращать посетителей в покупателей 24 часа в сутки и 7 дней в неделю.  

Если готовы, нажмите на кнопку ниже и узнайте, как все это получить прямо сейчас.
""",
                    'keyboard': create_keyboard([create_button('👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ', color='positive')],
                                                add_button_download_free=False
                                                ),
                    'answers': {
                        '👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step5': {
                    'text': """💰 Инструкция: «Как увеличить продажи», стоит 2497 руб. 
Как получить инструкцию:
✅ Нажмите на кнопку: КУПИТЬ ИНСТРУКЦИЮ.
✅ Оплатите.
✅ Сразу после оплаты, перед вами откроется новый шаг диалога, в котором, будет ссылка на страницу нашего сайта на которой вы скачаете архив с инструкцией.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 КУПИТЬ ИНСТРУКЦИЮ', color='positive'),
                         create_button('ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 КУПИТЬ ИНСТРУКЦИЮ': 'step_chose',
                        'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step7',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step_chose': {
                    'text': """Выберите платежную систему
                    """,
                    'keyboard': create_keyboard_payment(),
                    'answers': {
                        'QIWI': 'step_buy_qiwi',
                        'ЮКасса': 'step_buy_yoomoney',
                        'Назад': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachment': None,
                },
                'step6': {
                    'text': """Спасибо что купили нашу инструкцию!        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘
➡ Перейти: https://info-knigi.ru
Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.
Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по url ссылке выше.
""",
                    'keyboard': create_keyboard([create_button('Скачать', link='https://vk.com')],
                                                add_button_download_free=False),
                    'answers': {},
                    'attachments': None,

                },
                'step7': {
                    'text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
✅ И тогда вы вспомните о нашем предложении и может быть не нужно больше терять свое время и деньги.
ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Вы сократите свой рекламный бюджет, но продаж - будет больше.
✅ Вы кратно увеличите кол-во продаж и станете больше продавать при меньших расходах.
✅ Начнете привлекать покупателей другими способами, в том числе и без расходов на рекламу.
Предлагаем нажать на кнопку ниже, чтобы вернуться к предыдущему шагу, купить то, что мы предлагаем и продавать, и зарабатывать, а не просто тратить деньги на рекламу.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ВЕРНУТЬСЯ и КУПИТЬ', color='positive'),
                         create_button('ОТКАЗАТЬСЯ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step_back',
                        'ОТКАЗАТЬСЯ': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',

                    },
                    'attachments': None,
                },
                'step8': {
                    'text': """В завершении, предлагаем посетить наш сайт https://info-knigi.ru
На его страницах, вы узнаете много интересного.
Желаем Удачи!
А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step9': {
                    'text': f"""{text_contacts}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step10': {
                    'text': f"""{text_questions}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step11': {
                    'text': """✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
👉 Вы этого хотите?
А может быть вспомните о нашем предложении и решите продолжить, чтобы узнать, как больше продавать при меньших расходах на рекламу или совсем без нее?
⏩ Жмите на кнопку ниже м узнайте ↘
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ПРОДОЛЖИТЬ и УЗНАТЬ', color='positive'),
                         create_button('ВЫЙТИ, НЕ ИНТЕРЕСНО', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step_back',
                        'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
            }
        },
        {
            'use_this_item': True,
            'name_of_item': 'Товар 6',
            'price_of_item': 2,
            'item_steps': {
                'step0': {
                    'text': """Здесь нужно написать краткое описание товара или услуги.
Чтобы узнать про все преимущества товара или услуги, нажмите на кнопку НАЧАТЬ ↘
... а дальше, просто нажимайте на кнопки ответов
""",
                    'keyboard': create_keyboard([create_button('Узнать больше', color='positive')]),
                    'answers': {
                        'Узнать больше': 'step1',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',
                },
                'step1': {
                    'text': """Вы тратите много денег на рекламу?
⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step2',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',

                },
                'step2': {
                    'text': """У вас мало заказов и продаж?
          ⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step3',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step3': {
                    'text': """Вы хотите увеличить кол-во заказов и продаж и привлекать покупателей и заказчиков с минимальными затратами на рекламу или совсем без них?
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step4',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step4': {
                    'text': """💰 Предлагаем инструкцию «Как увеличить продажи»
ВОТ, ЧТО ВЫ УЗНАЕТЕ В НЕЙ:
💡 Информация, которую получите, совершит революцию в вашем отделе продаж, значительно сократив расходы на рекламу и серьезно увеличив продажи.
💡 В инструкции: «Как увеличить продажи», мы рассказали, как построить схему продаж любых товаров или услуг, которая будет работать почти без вашего участия и с самыми минимальными затратами на рекламу.
💡 Если все сделаете правильно, то этот способ, будет работать исправно и бесперебойно.
От вас, потребуется только настроить схему привлечения целевой аудитории на страницы своего интернет магазина, на сайт услуг, на один или несколько лендингов или на статейный сайт.
А ВОТ, ЧТО СМОЖЕТЕ:
✅ Привлекать ЦА бесплатно или почти без затрат на рекламу.
✅ Снизите затраты на рекламу и сэкономите время и деньги.
✅ Значительно увеличите конверсию, превращения посетителей в покупателей.
✅ Расходы на рекламу будут падать, а продажи расти.
✅ Превращать посетителей в покупателей 24 часа в сутки и 7 дней в неделю.  

Если готовы, нажмите на кнопку ниже и узнайте, как все это получить прямо сейчас.
""",
                    'keyboard': create_keyboard([create_button('👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ', color='positive')],
                                                add_button_download_free=False
                                                ),
                    'answers': {
                        '👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step5': {
                    'text': """💰 Инструкция: «Как увеличить продажи», стоит 2497 руб. 
Как получить инструкцию:
✅ Нажмите на кнопку: КУПИТЬ ИНСТРУКЦИЮ.
✅ Оплатите.
✅ Сразу после оплаты, перед вами откроется новый шаг диалога, в котором, будет ссылка на страницу нашего сайта на которой вы скачаете архив с инструкцией.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 КУПИТЬ ИНСТРУКЦИЮ', color='positive'),
                         create_button('ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 КУПИТЬ ИНСТРУКЦИЮ': 'step_chose',
                        'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step7',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step_chose': {
                    'text': """Выберите платежную систему
                    """,
                    'keyboard': create_keyboard_payment(),
                    'answers': {
                        'QIWI': 'step_buy_qiwi',
                        'ЮКасса': 'step_buy_yoomoney',
                        'Назад': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachment': None,
                },
                'step6': {
                    'text': """Спасибо что купили нашу инструкцию!        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘
➡ Перейти: https://info-knigi.ru
Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.
Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по url ссылке выше.
""",
                    'keyboard': create_keyboard([create_button('Скачать', link='https://vk.com')],
                                                add_button_download_free=False),
                    'answers': {},
                    'attachments': None,

                },
                'step7': {
                    'text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
✅ И тогда вы вспомните о нашем предложении и может быть не нужно больше терять свое время и деньги.
ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Вы сократите свой рекламный бюджет, но продаж - будет больше.
✅ Вы кратно увеличите кол-во продаж и станете больше продавать при меньших расходах.
✅ Начнете привлекать покупателей другими способами, в том числе и без расходов на рекламу.
Предлагаем нажать на кнопку ниже, чтобы вернуться к предыдущему шагу, купить то, что мы предлагаем и продавать, и зарабатывать, а не просто тратить деньги на рекламу.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ВЕРНУТЬСЯ и КУПИТЬ', color='positive'),
                         create_button('ОТКАЗАТЬСЯ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step_back',
                        'ОТКАЗАТЬСЯ': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',

                    },
                    'attachments': None,
                },
                'step8': {
                    'text': """В завершении, предлагаем посетить наш сайт https://info-knigi.ru
На его страницах, вы узнаете много интересного.
Желаем Удачи!
А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step9': {
                    'text': f"""{text_contacts}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step10': {
                    'text': f"""{text_questions}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step11': {
                    'text': """✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
👉 Вы этого хотите?
А может быть вспомните о нашем предложении и решите продолжить, чтобы узнать, как больше продавать при меньших расходах на рекламу или совсем без нее?
⏩ Жмите на кнопку ниже м узнайте ↘
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ПРОДОЛЖИТЬ и УЗНАТЬ', color='positive'),
                         create_button('ВЫЙТИ, НЕ ИНТЕРЕСНО', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step_back',
                        'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
            }
        },
        {
            'use_this_item': True,
            'name_of_item': 'Товар 7',
            'price_of_item': 2,
            'item_steps': {
                'step0': {
                    'text': """Здесь нужно написать краткое описание товара или услуги.
Чтобы узнать про все преимущества товара или услуги, нажмите на кнопку НАЧАТЬ ↘
... а дальше, просто нажимайте на кнопки ответов
""",
                    'keyboard': create_keyboard([create_button('Узнать больше', color='positive')]),
                    'answers': {
                        'Узнать больше': 'step1',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',
                },
                'step1': {
                    'text': """Вы тратите много денег на рекламу?
⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step2',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',

                },
                'step2': {
                    'text': """У вас мало заказов и продаж?
          ⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step3',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step3': {
                    'text': """Вы хотите увеличить кол-во заказов и продаж и привлекать покупателей и заказчиков с минимальными затратами на рекламу или совсем без них?
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step4',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step4': {
                    'text': """💰 Предлагаем инструкцию «Как увеличить продажи»
ВОТ, ЧТО ВЫ УЗНАЕТЕ В НЕЙ:
💡 Информация, которую получите, совершит революцию в вашем отделе продаж, значительно сократив расходы на рекламу и серьезно увеличив продажи.
💡 В инструкции: «Как увеличить продажи», мы рассказали, как построить схему продаж любых товаров или услуг, которая будет работать почти без вашего участия и с самыми минимальными затратами на рекламу.
💡 Если все сделаете правильно, то этот способ, будет работать исправно и бесперебойно.
От вас, потребуется только настроить схему привлечения целевой аудитории на страницы своего интернет магазина, на сайт услуг, на один или несколько лендингов или на статейный сайт.
А ВОТ, ЧТО СМОЖЕТЕ:
✅ Привлекать ЦА бесплатно или почти без затрат на рекламу.
✅ Снизите затраты на рекламу и сэкономите время и деньги.
✅ Значительно увеличите конверсию, превращения посетителей в покупателей.
✅ Расходы на рекламу будут падать, а продажи расти.
✅ Превращать посетителей в покупателей 24 часа в сутки и 7 дней в неделю.  

Если готовы, нажмите на кнопку ниже и узнайте, как все это получить прямо сейчас.
""",
                    'keyboard': create_keyboard([create_button('👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ', color='positive')],
                                                add_button_download_free=False
                                                ),
                    'answers': {
                        '👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step5': {
                    'text': """💰 Инструкция: «Как увеличить продажи», стоит 2497 руб. 
Как получить инструкцию:
✅ Нажмите на кнопку: КУПИТЬ ИНСТРУКЦИЮ.
✅ Оплатите.
✅ Сразу после оплаты, перед вами откроется новый шаг диалога, в котором, будет ссылка на страницу нашего сайта на которой вы скачаете архив с инструкцией.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 КУПИТЬ ИНСТРУКЦИЮ', color='positive'),
                         create_button('ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 КУПИТЬ ИНСТРУКЦИЮ': 'step_chose',
                        'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step7',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step_chose': {
                    'text': """Выберите платежную систему
                    """,
                    'keyboard': create_keyboard_payment(),
                    'answers': {
                        'QIWI': 'step_buy_qiwi',
                        'ЮКасса': 'step_buy_yoomoney',
                        'Назад': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachment': None,
                },
                'step6': {
                    'text': """Спасибо что купили нашу инструкцию!        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘
➡ Перейти: https://info-knigi.ru
Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.
Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по url ссылке выше.
""",
                    'keyboard': create_keyboard([create_button('Скачать', link='https://vk.com')],
                                                add_button_download_free=False),
                    'answers': {},
                    'attachments': None,

                },
                'step7': {
                    'text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
✅ И тогда вы вспомните о нашем предложении и может быть не нужно больше терять свое время и деньги.
ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Вы сократите свой рекламный бюджет, но продаж - будет больше.
✅ Вы кратно увеличите кол-во продаж и станете больше продавать при меньших расходах.
✅ Начнете привлекать покупателей другими способами, в том числе и без расходов на рекламу.
Предлагаем нажать на кнопку ниже, чтобы вернуться к предыдущему шагу, купить то, что мы предлагаем и продавать, и зарабатывать, а не просто тратить деньги на рекламу.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ВЕРНУТЬСЯ и КУПИТЬ', color='positive'),
                         create_button('ОТКАЗАТЬСЯ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step_back',
                        'ОТКАЗАТЬСЯ': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',

                    },
                    'attachments': None,
                },
                'step8': {
                    'text': """В завершении, предлагаем посетить наш сайт https://info-knigi.ru
На его страницах, вы узнаете много интересного.
Желаем Удачи!
А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step9': {
                    'text': f"""{text_contacts}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step10': {
                    'text': f"""{text_questions}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step11': {
                    'text': """✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
👉 Вы этого хотите?
А может быть вспомните о нашем предложении и решите продолжить, чтобы узнать, как больше продавать при меньших расходах на рекламу или совсем без нее?
⏩ Жмите на кнопку ниже м узнайте ↘
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ПРОДОЛЖИТЬ и УЗНАТЬ', color='positive'),
                         create_button('ВЫЙТИ, НЕ ИНТЕРЕСНО', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step_back',
                        'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
            }
        },
        {
            'use_this_item': True,
            'name_of_item': 'Товар 8',
            'price_of_item': 2,
            'item_steps': {
                'step0': {
                    'text': """Здесь нужно написать краткое описание товара или услуги.
Чтобы узнать про все преимущества товара или услуги, нажмите на кнопку НАЧАТЬ ↘
... а дальше, просто нажимайте на кнопки ответов
""",
                    'keyboard': create_keyboard([create_button('Узнать больше', color='positive')]),
                    'answers': {
                        'Узнать больше': 'step1',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',
                },
                'step1': {
                    'text': """Вы тратите много денег на рекламу?
⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step2',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',

                },
                'step2': {
                    'text': """У вас мало заказов и продаж?
          ⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step3',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step3': {
                    'text': """Вы хотите увеличить кол-во заказов и продаж и привлекать покупателей и заказчиков с минимальными затратами на рекламу или совсем без них?
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step4',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step4': {
                    'text': """💰 Предлагаем инструкцию «Как увеличить продажи»
ВОТ, ЧТО ВЫ УЗНАЕТЕ В НЕЙ:
💡 Информация, которую получите, совершит революцию в вашем отделе продаж, значительно сократив расходы на рекламу и серьезно увеличив продажи.
💡 В инструкции: «Как увеличить продажи», мы рассказали, как построить схему продаж любых товаров или услуг, которая будет работать почти без вашего участия и с самыми минимальными затратами на рекламу.
💡 Если все сделаете правильно, то этот способ, будет работать исправно и бесперебойно.
От вас, потребуется только настроить схему привлечения целевой аудитории на страницы своего интернет магазина, на сайт услуг, на один или несколько лендингов или на статейный сайт.
А ВОТ, ЧТО СМОЖЕТЕ:
✅ Привлекать ЦА бесплатно или почти без затрат на рекламу.
✅ Снизите затраты на рекламу и сэкономите время и деньги.
✅ Значительно увеличите конверсию, превращения посетителей в покупателей.
✅ Расходы на рекламу будут падать, а продажи расти.
✅ Превращать посетителей в покупателей 24 часа в сутки и 7 дней в неделю.  

Если готовы, нажмите на кнопку ниже и узнайте, как все это получить прямо сейчас.
""",
                    'keyboard': create_keyboard([create_button('👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ', color='positive')],
                                                add_button_download_free=False
                                                ),
                    'answers': {
                        '👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step5': {
                    'text': """💰 Инструкция: «Как увеличить продажи», стоит 2497 руб. 
Как получить инструкцию:
✅ Нажмите на кнопку: КУПИТЬ ИНСТРУКЦИЮ.
✅ Оплатите.
✅ Сразу после оплаты, перед вами откроется новый шаг диалога, в котором, будет ссылка на страницу нашего сайта на которой вы скачаете архив с инструкцией.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 КУПИТЬ ИНСТРУКЦИЮ', color='positive'),
                         create_button('ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 КУПИТЬ ИНСТРУКЦИЮ': 'step_chose',
                        'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step7',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step_chose': {
                    'text': """Выберите платежную систему
                    """,
                    'keyboard': create_keyboard_payment(),
                    'answers': {
                        'QIWI': 'step_buy_qiwi',
                        'ЮКасса': 'step_buy_yoomoney',
                        'Назад': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachment': None,
                },
                'step6': {
                    'text': """Спасибо что купили нашу инструкцию!        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘
➡ Перейти: https://info-knigi.ru
Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.
Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по url ссылке выше.
""",
                    'keyboard': create_keyboard([create_button('Скачать', link='https://vk.com')],
                                                add_button_download_free=False),
                    'answers': {},
                    'attachments': None,

                },
                'step7': {
                    'text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
✅ И тогда вы вспомните о нашем предложении и может быть не нужно больше терять свое время и деньги.
ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Вы сократите свой рекламный бюджет, но продаж - будет больше.
✅ Вы кратно увеличите кол-во продаж и станете больше продавать при меньших расходах.
✅ Начнете привлекать покупателей другими способами, в том числе и без расходов на рекламу.
Предлагаем нажать на кнопку ниже, чтобы вернуться к предыдущему шагу, купить то, что мы предлагаем и продавать, и зарабатывать, а не просто тратить деньги на рекламу.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ВЕРНУТЬСЯ и КУПИТЬ', color='positive'),
                         create_button('ОТКАЗАТЬСЯ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step_back',
                        'ОТКАЗАТЬСЯ': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',

                    },
                    'attachments': None,
                },
                'step8': {
                    'text': """В завершении, предлагаем посетить наш сайт https://info-knigi.ru
На его страницах, вы узнаете много интересного.
Желаем Удачи!
А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step9': {
                    'text': f"""{text_contacts}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step10': {
                    'text': f"""{text_questions}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step11': {
                    'text': """✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
👉 Вы этого хотите?
А может быть вспомните о нашем предложении и решите продолжить, чтобы узнать, как больше продавать при меньших расходах на рекламу или совсем без нее?
⏩ Жмите на кнопку ниже м узнайте ↘
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ПРОДОЛЖИТЬ и УЗНАТЬ', color='positive'),
                         create_button('ВЫЙТИ, НЕ ИНТЕРЕСНО', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step_back',
                        'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
            }
        },
        {
            'use_this_item': True,
            'name_of_item': 'Товар 9',
            'price_of_item': 2,
            'item_steps': {
                'step0': {
                    'text': """Здесь нужно написать краткое описание товара или услуги.
Чтобы узнать про все преимущества товара или услуги, нажмите на кнопку НАЧАТЬ ↘
... а дальше, просто нажимайте на кнопки ответов
""",
                    'keyboard': create_keyboard([create_button('Узнать больше', color='positive')]),
                    'answers': {
                        'Узнать больше': 'step1',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',
                },
                'step1': {
                    'text': """Вы тратите много денег на рекламу?
⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step2',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',

                },
                'step2': {
                    'text': """У вас мало заказов и продаж?
          ⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step3',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step3': {
                    'text': """Вы хотите увеличить кол-во заказов и продаж и привлекать покупателей и заказчиков с минимальными затратами на рекламу или совсем без них?
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step4',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step4': {
                    'text': """💰 Предлагаем инструкцию «Как увеличить продажи»
ВОТ, ЧТО ВЫ УЗНАЕТЕ В НЕЙ:
💡 Информация, которую получите, совершит революцию в вашем отделе продаж, значительно сократив расходы на рекламу и серьезно увеличив продажи.
💡 В инструкции: «Как увеличить продажи», мы рассказали, как построить схему продаж любых товаров или услуг, которая будет работать почти без вашего участия и с самыми минимальными затратами на рекламу.
💡 Если все сделаете правильно, то этот способ, будет работать исправно и бесперебойно.
От вас, потребуется только настроить схему привлечения целевой аудитории на страницы своего интернет магазина, на сайт услуг, на один или несколько лендингов или на статейный сайт.
А ВОТ, ЧТО СМОЖЕТЕ:
✅ Привлекать ЦА бесплатно или почти без затрат на рекламу.
✅ Снизите затраты на рекламу и сэкономите время и деньги.
✅ Значительно увеличите конверсию, превращения посетителей в покупателей.
✅ Расходы на рекламу будут падать, а продажи расти.
✅ Превращать посетителей в покупателей 24 часа в сутки и 7 дней в неделю.  

Если готовы, нажмите на кнопку ниже и узнайте, как все это получить прямо сейчас.
""",
                    'keyboard': create_keyboard([create_button('👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ', color='positive')],
                                                add_button_download_free=False
                                                ),
                    'answers': {
                        '👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step5': {
                    'text': """💰 Инструкция: «Как увеличить продажи», стоит 2497 руб. 
Как получить инструкцию:
✅ Нажмите на кнопку: КУПИТЬ ИНСТРУКЦИЮ.
✅ Оплатите.
✅ Сразу после оплаты, перед вами откроется новый шаг диалога, в котором, будет ссылка на страницу нашего сайта на которой вы скачаете архив с инструкцией.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 КУПИТЬ ИНСТРУКЦИЮ', color='positive'),
                         create_button('ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 КУПИТЬ ИНСТРУКЦИЮ': 'step_chose',
                        'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step7',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step_chose': {
                    'text': """Выберите платежную систему
                    """,
                    'keyboard': create_keyboard_payment(),
                    'answers': {
                        'QIWI': 'step_buy_qiwi',
                        'ЮКасса': 'step_buy_yoomoney',
                        'Назад': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachment': None,
                },
                'step6': {
                    'text': """Спасибо что купили нашу инструкцию!        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘
➡ Перейти: https://info-knigi.ru
Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.
Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по url ссылке выше.
""",
                    'keyboard': create_keyboard([create_button('Скачать', link='https://vk.com')],
                                                add_button_download_free=False),
                    'answers': {},
                    'attachments': None,

                },
                'step7': {
                    'text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
✅ И тогда вы вспомните о нашем предложении и может быть не нужно больше терять свое время и деньги.
ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Вы сократите свой рекламный бюджет, но продаж - будет больше.
✅ Вы кратно увеличите кол-во продаж и станете больше продавать при меньших расходах.
✅ Начнете привлекать покупателей другими способами, в том числе и без расходов на рекламу.
Предлагаем нажать на кнопку ниже, чтобы вернуться к предыдущему шагу, купить то, что мы предлагаем и продавать, и зарабатывать, а не просто тратить деньги на рекламу.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ВЕРНУТЬСЯ и КУПИТЬ', color='positive'),
                         create_button('ОТКАЗАТЬСЯ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step_back',
                        'ОТКАЗАТЬСЯ': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',

                    },
                    'attachments': None,
                },
                'step8': {
                    'text': """В завершении, предлагаем посетить наш сайт https://info-knigi.ru
На его страницах, вы узнаете много интересного.
Желаем Удачи!
А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step9': {
                    'text': f"""{text_contacts}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step10': {
                    'text': f"""{text_questions}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step11': {
                    'text': """✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
👉 Вы этого хотите?
А может быть вспомните о нашем предложении и решите продолжить, чтобы узнать, как больше продавать при меньших расходах на рекламу или совсем без нее?
⏩ Жмите на кнопку ниже м узнайте ↘
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ПРОДОЛЖИТЬ и УЗНАТЬ', color='positive'),
                         create_button('ВЫЙТИ, НЕ ИНТЕРЕСНО', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step_back',
                        'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
            }
        },
        {
            'use_this_item': True,
            'name_of_item': 'Товар 10',
            'price_of_item': 2,
            'item_steps': {
                'step0': {
                    'text': """Здесь нужно написать краткое описание товара или услуги.
Чтобы узнать про все преимущества товара или услуги, нажмите на кнопку НАЧАТЬ ↘
... а дальше, просто нажимайте на кнопки ответов
""",
                    'keyboard': create_keyboard([create_button('Узнать больше', color='positive')]),
                    'answers': {
                        'Узнать больше': 'step1',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',
                },
                'step1': {
                    'text': """Вы тратите много денег на рекламу?
⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step2',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': '',

                },
                'step2': {
                    'text': """У вас мало заказов и продаж?
          ⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step3',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step3': {
                    'text': """Вы хотите увеличить кол-во заказов и продаж и привлекать покупателей и заказчиков с минимальными затратами на рекламу или совсем без них?
""",
                    'keyboard': create_keyboard(
                        [create_button('👉Да', color='positive'), create_button('Нет', color='positive')]),
                    'answers': {
                        '👉Да': 'step4',
                        'Нет': 'step11',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step4': {
                    'text': """💰 Предлагаем инструкцию «Как увеличить продажи»
ВОТ, ЧТО ВЫ УЗНАЕТЕ В НЕЙ:
💡 Информация, которую получите, совершит революцию в вашем отделе продаж, значительно сократив расходы на рекламу и серьезно увеличив продажи.
💡 В инструкции: «Как увеличить продажи», мы рассказали, как построить схему продаж любых товаров или услуг, которая будет работать почти без вашего участия и с самыми минимальными затратами на рекламу.
💡 Если все сделаете правильно, то этот способ, будет работать исправно и бесперебойно.
От вас, потребуется только настроить схему привлечения целевой аудитории на страницы своего интернет магазина, на сайт услуг, на один или несколько лендингов или на статейный сайт.
А ВОТ, ЧТО СМОЖЕТЕ:
✅ Привлекать ЦА бесплатно или почти без затрат на рекламу.
✅ Снизите затраты на рекламу и сэкономите время и деньги.
✅ Значительно увеличите конверсию, превращения посетителей в покупателей.
✅ Расходы на рекламу будут падать, а продажи расти.
✅ Превращать посетителей в покупателей 24 часа в сутки и 7 дней в неделю.  

Если готовы, нажмите на кнопку ниже и узнайте, как все это получить прямо сейчас.
""",
                    'keyboard': create_keyboard([create_button('👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ', color='positive')],
                                                add_button_download_free=False
                                                ),
                    'answers': {
                        '👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,

                },
                'step5': {
                    'text': """💰 Инструкция: «Как увеличить продажи», стоит 2497 руб. 
Как получить инструкцию:
✅ Нажмите на кнопку: КУПИТЬ ИНСТРУКЦИЮ.
✅ Оплатите.
✅ Сразу после оплаты, перед вами откроется новый шаг диалога, в котором, будет ссылка на страницу нашего сайта на которой вы скачаете архив с инструкцией.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 КУПИТЬ ИНСТРУКЦИЮ', color='positive'),
                         create_button('ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 КУПИТЬ ИНСТРУКЦИЮ': 'step_chose',
                        'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step7',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step_chose': {
                    'text': """Выберите платежную систему
                    """,
                    'keyboard': create_keyboard_payment(),
                    'answers': {
                        'QIWI': 'step_buy_qiwi',
                        'ЮКасса': 'step_buy_yoomoney',
                        'Назад': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachment': None,
                },
                'step6': {
                    'text': """Спасибо что купили нашу инструкцию!        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘
➡ Перейти: https://info-knigi.ru
Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.
Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по url ссылке выше.
""",
                    'keyboard': create_keyboard([create_button('Скачать', link='https://vk.com')],
                                                add_button_download_free=False),
                    'answers': {},
                    'attachments': None,

                },
                'step7': {
                    'text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
✅ И тогда вы вспомните о нашем предложении и может быть не нужно больше терять свое время и деньги.
ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ НАШИ ИНСТРУКЦИИ?
✅ Вы сократите свой рекламный бюджет, но продаж - будет больше.
✅ Вы кратно увеличите кол-во продаж и станете больше продавать при меньших расходах.
✅ Начнете привлекать покупателей другими способами, в том числе и без расходов на рекламу.
Предлагаем нажать на кнопку ниже, чтобы вернуться к предыдущему шагу, купить то, что мы предлагаем и продавать, и зарабатывать, а не просто тратить деньги на рекламу.
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ВЕРНУТЬСЯ и КУПИТЬ', color='positive'),
                         create_button('ОТКАЗАТЬСЯ', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step_back',
                        'ОТКАЗАТЬСЯ': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',

                    },
                    'attachments': None,
                },
                'step8': {
                    'text': """В завершении, предлагаем посетить наш сайт https://info-knigi.ru
На его страницах, вы узнаете много интересного.
Желаем Удачи!
А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step5',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
                'step9': {
                    'text': f"""{text_contacts}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step10': {
                    'text': f"""{text_questions}""",
                    'keyboard': create_keyboard([create_button('ПРОДОЛЖИТЬ', color='positive')],
                                                add_button_download_free=False),
                    'answers': {
                        'ПРОДОЛЖИТЬ': 'step_back',
                    },
                    'attachments': None,
                },
                'step11': {
                    'text': """✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
👉 Вы этого хотите?
А может быть вспомните о нашем предложении и решите продолжить, чтобы узнать, как больше продавать при меньших расходах на рекламу или совсем без нее?
⏩ Жмите на кнопку ниже м узнайте ↘
""",
                    'keyboard': create_keyboard(
                        [create_button('👉 ПРОДОЛЖИТЬ и УЗНАТЬ', color='positive'),
                         create_button('ВЫЙТИ, НЕ ИНТЕРЕСНО', color='positive')],
                        add_button_download_free=False),
                    'answers': {
                        '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step_back',
                        'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step8',
                        'Контакты': 'step9',
                        'Вопрос-Ответ': 'step10',
                    },
                    'attachments': None,
                },
            }
        },
    ]
}
